WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: python 3.36 doesn't work  (Read 559 times)

Offline saladin

  • WikiUser
  • *
  • Posts: 13
python 3.36 doesn't work
« on: March 17, 2018, 10:28:04 AM »
I've triple-checked to verify that I have all dependencies, and all dependencies of dependencies, but when I try to run it, I get the error:

Code: [Select]
python3: /lib/libc.so.6: version `GLIBC_2.25' not found (required by /usr/local/lib/libpython3.6m.so.1.0)
When I browse extensions, there are hundreds of matches with "libc" in the name. Which do I need?

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2626
Re: python 3.36 doesn't work
« Reply #1 on: March 17, 2018, 11:47:42 AM »
Normally we use the APPS > "Provides" function to find the extension containing missing libraries

But  libc.so.6  doesn't appear to exist in the current tc-9 repo

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5731
Re: python 3.36 doesn't work
« Reply #2 on: March 17, 2018, 01:10:16 PM »
Hi coreplayer2
That's because  libc.so.6  is part of the base system of every Linux install and is found in  /lib.

Offline saladin

  • WikiUser
  • *
  • Posts: 13
Re: python 3.36 doesn't work
« Reply #3 on: March 17, 2018, 02:17:30 PM »
So then why doesn't it work? Does this mean there's something wrong with my ISO?

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2626
Re: python 3.36 doesn't work
« Reply #4 on: March 17, 2018, 04:00:45 PM »
Hi coreplayer2
That's because  libc.so.6  is part of the base system of every Linux install and is found in  /lib.
Doh!  I missed that Thanks Rich

Code: [Select]
tc@box:~$ sudo find / -iname "libc.so.6*"
/lib/libc.so.6
tc@box:~$

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5731
Re: python 3.36 doesn't work
« Reply #5 on: March 17, 2018, 06:12:55 PM »
Hi saladin
Running  ls -l  on  libc.so.6  I get this:
Code: [Select]
tc@box:~$ ls -l /lib/libc.so.6
lrwxrwxrwx 1 root root 12 Nov 16  2011 /lib/libc.so.6 -> libc-2.13.so
tc@box:~$
I'm running a much older version of Tinycore so my libc version is 2.13. What do you get if you run that command?

According to this:
http://forum.tinycorelinux.net/index.php/topic,21605.0.html
It says:
Quote
Changelog for 9.0 alpha1:
* kernel updated to 4.14.10
* glibc updated to 2.26
* gcc updated to 7.2.0
* e2fsprogs base libs/apps updated to 1.43.7
* util-linux base libs/apps updated to 2.31
So if you are running TC9 and python is hardcoded to look for version 2.25, that could be the problem.

Offline polikuo

  • Sr. Member
  • ****
  • Posts: 299
Re: python 3.36 doesn't work
« Reply #6 on: March 17, 2018, 09:37:21 PM »
Hi, glibc usually is built with backward compatibility to a wide range of versions.
I believe the OP is most likely using an older version of TC that does not support GLIBC_2.25.
FYI
Code: [Select]
tc@box:~$ uname -r
4.9.22-piCore-v7
tc@box:~$ strings /lib/libc.so.6 | grep GLIBC
GLIBC_2.4
GLIBC_2.5
GLIBC_2.6
GLIBC_2.7
GLIBC_2.8
GLIBC_2.9
GLIBC_2.10
GLIBC_2.11
GLIBC_2.12
GLIBC_2.13
GLIBC_2.14
GLIBC_2.15
GLIBC_2.16
GLIBC_2.17
GLIBC_2.18
GLIBC_2.22
GLIBC_2.23
GLIBC_2.24
GLIBC_2.25
GLIBC_PRIVATE
Code: [Select]
tc@box:~$ uname -r
4.14.10-tinycore64
tc@box:~$ strings /lib/libc.so.6 | grep GLIBC
GLIBC_2.2.5
GLIBC_2.2.6
GLIBC_2.3
GLIBC_2.3.2
GLIBC_2.3.3
GLIBC_2.3.4
GLIBC_2.4
GLIBC_2.5
GLIBC_2.6
GLIBC_2.7
GLIBC_2.8
GLIBC_2.9
GLIBC_2.10
GLIBC_2.11
GLIBC_2.12
GLIBC_2.13
GLIBC_2.14
GLIBC_2.15
GLIBC_2.16
GLIBC_2.17
GLIBC_2.18
GLIBC_2.22
GLIBC_2.23
GLIBC_2.24
GLIBC_2.25
GLIBC_2.26
GLIBC_PRIVATE
« Last Edit: March 17, 2018, 09:40:19 PM by polikuo »

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5731
Re: python 3.36 doesn't work
« Reply #7 on: March 17, 2018, 10:30:24 PM »
Hi polikuo
... I believe the OP is most likely using an older version of TC that does not support GLIBC_2.25.
That's definitely another possibility. That would suggest the OP is using extensions from a newer repo in an older installation.

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5731
Re: python 3.36 doesn't work
« Reply #8 on: March 17, 2018, 10:33:00 PM »
Hi saladin
What version of Tinycore and which architecture are you running?

Offline saladin

  • WikiUser
  • *
  • Posts: 13
Re: python 3.36 doesn't work
« Reply #9 on: March 18, 2018, 06:00:19 AM »
That's really strange. I thought I was using Core 9.0, which I downloaded maybe two weeks ago. I re-downloaded, just to be sure, and now everything works fine. I guess somehow I ended up using an older version that I had downloaded months back?

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5731
Re: python 3.36 doesn't work
« Reply #10 on: March 18, 2018, 07:42:45 AM »
Hi saladin
So I'm guessing that you manually downloaded  python  and its dependencies instead of using  Apps  or  tce-load.

Offline saladin

  • WikiUser
  • *
  • Posts: 13
Re: python 3.36 doesn't work
« Reply #11 on: March 18, 2018, 08:47:52 AM »
Yeah, I just think it's a bit of a hassle having to connect to the internet and re-download everything every time I reboot. I will eventually remaster, once I have everything configured the way I want it, but until then, I like keeping my extensions on a disk.

Online Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5731
Re: python 3.36 doesn't work
« Reply #12 on: March 18, 2018, 09:21:51 AM »
Hi saladin
Yeah, I just think it's a bit of a hassle having to connect to the internet and re-download everything every time I reboot.

Most people have a  tce  directory where extensions are stored so they don't have to keep downloading them. I'd like to
recommend you take an hour to read this:
http://tinycorelinux.net/corebook.pdf
It will provide you with some insight on the ins and outs of Tinycore.

Offline saladin

  • WikiUser
  • *
  • Posts: 13
Re: python 3.36 doesn't work
« Reply #13 on: March 18, 2018, 11:46:38 AM »
Thank you for that. That'll definitely make things easier.